Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1090 - rsh suddenly needs its arguments quotes
Summary: rsh suddenly needs its arguments quotes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rsh
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-09 16:53 UTC by Bill Nottingham
Modified: 2014-03-17 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-11 18:21:20 UTC


Attachments (Terms of Use)

Description Bill Nottingham 1999-02-09 16:53:13 UTC
[notting@bobby:~ ]$ rsh localhost ls -l
localhost: option requires an argument -- l
usage: rsh [-nd] [-l login] host [command]

[notting@bobby:~ ]$ rsh localhost "ls -l"
total 4441
-rw-r--r--   1 notting  notting      4476 May 23  1997
16colors.txt
....

This worked on earlier rsh versions.

Comment 1 Jeff Johnson 1999-02-11 18:21:59 UTC
Linux getopt(3) in rsh uses POSICKLY_CORRECT optstring with leading
"+...".


Note You need to log in before you can comment on or make changes to this bug.